Declare callbacks for class methods
Declarations for flext methods

## Macros

#define | FLEXT_CALLBACK(M_FUN)
| Set up a method callback with no arguments. More...
#define | FLEXT_CALLBACK_A(M_FUN)
| Set up a method callback for an anything argument. More...
#define | FLEXT_CALLBACK_V(M_FUN)
| Set up a method callback for a variable argument list. More...
#define | FLEXT_CALLBACK_X(M_FUN)
| Set up a method callback for a data package (void *) argument. More...
#define | FLEXT_CALLBACK_AX(M_FUN)
| Set up a method callback for an anything argument and a data package (e.g. for symbol-bound methods). More...
#define | FLEXT_CALLBACK_T(M_FUN)
| Set up a timer callback. More...
#define | FLEXT_CALLBACK_B(M_FUN)
| Set up a method callback for a boolean argument. More...
#define | FLEXT_CALLBACK_1(M_FUN, TP1)
| Set up a method callback for 1 argument. More...
#define | FLEXT_CALLBACK_2(M_FUN, TP1, TP2)
| Set up a method callback for 2 arguments. More...
#define | FLEXT_CALLBACK_3(M_FUN, TP1, TP2, TP3)
| Set up a method callback for 3 arguments. More...
#define | FLEXT_CALLBACK_4(M_FUN, TP1, TP2, TP3, TP4)
| Set up a method callback for 4 arguments. More...
#define | FLEXT_CALLBACK_5(M_FUN, TP1, TP2, TP3, TP4, TP5)
| Set up a method callback for 5 arguments. More...
#define | FLEXT_CALLBACK_F(M_FUN)
| Set up a method callback for 1 float argument. More...
#define | FLEXT_CALLBACK_FF(M_FUN)
| Set up a method callback for 2 float arguments. More...
#define | FLEXT_CALLBACK_FFF(M_FUN)
| Set up a method callback for 3 float arguments. More...
#define | FLEXT_CALLBACK_I(M_FUN)
| Set up a method callback for 1 integer argument. More...
#define | FLEXT_CALLBACK_II(M_FUN)
| Set up a method callback for 2 integer arguments. More...
#define | FLEXT_CALLBACK_III(M_FUN)
| Set up a method callback for 3 integer arguments. More...
#define | FLEXT_CALLBACK_S(M_FUN)
| Set up a method callback for 1 symbol argument. More...
#define | FLEXT_CALLBACK_G FLEXT_CALLBACK_V

## Detailed Description

## Macro Definition Documentation

## FLEXT_CALLBACK

#define FLEXT_CALLBACK | ( |  | M_FUN | ) |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(); return true; }
flext_base
Definition: flclass.h:60
FLEXT_CALL_PRE
#define FLEXT_CALL_PRE(F)
Definition: flbase.h:336

Set up a method callback with no arguments.

## FLEXT_CALLBACK_1

#define FLEXT_CALLBACK_1 | ( |  | M_FUN,
|  |  | TP1
| ) |  |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,TP1 &arg1) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(arg1); return true; }

Set up a method callback for 1 argument.

## FLEXT_CALLBACK_2

#define FLEXT_CALLBACK_2 | ( |  | M_FUN,
|  |  | TP1,
|  |  | TP2
| ) |  |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,TP1 &arg1,TP2 &arg2) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(arg1,arg2); return true; }

Set up a method callback for 2 arguments.

## FLEXT_CALLBACK_3

#define FLEXT_CALLBACK_3 | ( |  | M_FUN,
|  |  | TP1,
|  |  | TP2,
|  |  | TP3
| ) |  |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,TP1 &arg1,TP2 &arg2,TP3 &arg3) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(arg1,arg2,arg3); return true; }

Set up a method callback for 3 arguments.

## FLEXT_CALLBACK_4

#define FLEXT_CALLBACK_4 | ( |  | M_FUN,
|  |  | TP1,
|  |  | TP2,
|  |  | TP3,
|  |  | TP4
| ) |  |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,TP1 &arg1,TP2 &arg2,TP3 &arg3,TP4 &arg4) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(arg1,arg2,arg3,arg4); return true; }

Set up a method callback for 4 arguments.

## FLEXT_CALLBACK_5

#define FLEXT_CALLBACK_5 | ( |  | M_FUN,
|  |  | TP1,
|  |  | TP2,
|  |  | TP3,
|  |  | TP4,
|  |  | TP5
| ) |  |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,TP1 &arg1,TP2 &arg2,TP3 &arg3,TP4 &arg4,TP5 &arg5) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(arg1,arg2,arg3,arg4,arg5); return true; }

Set up a method callback for 5 arguments.

## FLEXT_CALLBACK_A

#define FLEXT_CALLBACK_A | ( |  | M_FUN | ) |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,t_symbol *s,int argc,t_atom *argv) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(s,argc,argv); return true; }

Set up a method callback for an anything argument.

## FLEXT_CALLBACK_AX

#define FLEXT_CALLBACK_AX | ( |  | M_FUN | ) |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,t_symbol *s,int argc,t_atom *argv,void *data) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(s,argc,argv,data); return true; }

Set up a method callback for an anything argument and a data package (e.g. for symbol-bound methods).

## FLEXT_CALLBACK_B

#define FLEXT_CALLBACK_B | ( |  | M_FUN | ) |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,int &arg1) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(arg1 != 0); return true; }

Set up a method callback for a boolean argument.

## FLEXT_CALLBACK_F

#define FLEXT_CALLBACK_F | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_1(M_FUN,float)

Set up a method callback for 1 float argument.

## FLEXT_CALLBACK_FF

#define FLEXT_CALLBACK_FF | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_2(M_FUN,float,float)

Set up a method callback for 2 float arguments.

## FLEXT_CALLBACK_FFF

#define FLEXT_CALLBACK_FFF | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_3(M_FUN,float,float,float)

Set up a method callback for 3 float arguments.

## FLEXT_CALLBACK_G

#define FLEXT_CALLBACK_G FLEXT_CALLBACK_V

Deprecated:

## FLEXT_CALLBACK_I

#define FLEXT_CALLBACK_I | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_1(M_FUN,int)

Set up a method callback for 1 integer argument.

## FLEXT_CALLBACK_II

#define FLEXT_CALLBACK_II | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_2(M_FUN,int,int)

Set up a method callback for 2 integer arguments.

## FLEXT_CALLBACK_III

#define FLEXT_CALLBACK_III | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_3(M_FUN,int,int,int)

Set up a method callback for 3 integer arguments.

## FLEXT_CALLBACK_S

#define FLEXT_CALLBACK_S | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_1(M_FUN,t_symptr)
t_symptr
t_symbol * t_symptr
Definition: flstdc.h:225

Set up a method callback for 1 symbol argument.

## FLEXT_CALLBACK_T

#define FLEXT_CALLBACK_T | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALLBACK_X(M_FUN)

Set up a timer callback.

## FLEXT_CALLBACK_V

#define FLEXT_CALLBACK_V | ( |  | M_FUN | ) |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,int argc,t_atom *argv) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(argc,argv); return true; }

Set up a method callback for a variable argument list.

## FLEXT_CALLBACK_X

#define FLEXT_CALLBACK_X | ( |  | M_FUN | ) |

Value:
static bool FLEXT_CALL_PRE(M_FUN)(flext_base *c,void *data) \
{ FLEXT_CAST<thisType *>(c)->M_FUN(data); return true; }

Set up a method callback for a data package (void *) argument.